RyTask docs
REST APIOrgs

Update organization settings (Admin+) (FR-TEN-004)

View as MarkdownOpen in ChatGPTOpen in Claude
PATCH
/orgs/current

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/orgs/current" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "slug": "string",  "settings": {    "timezone": "America/New_York",    "locale": "en-US",    "weekStart": "SUNDAY",    "workingDays": [      0    ],    "workingHours": {      "start": "string",      "end": "string"    },    "logoUrl": "string",    "allowPublicSignup": false  }}
{  "code": "string",  "message": "string",  "details": {}}